version: '3.1'

services:

  db:
    image: postgres:12.4
    restart: always
    environment:
      POSTGRES_USER: archive
      POSTGRES_PASSWORD: docker
    command: postgres -c listen_addresses=*

  amqp:
    image: rabbitmq:3.8
    restart: always

  workflow:
    image: nrao:workflow
    ports:
      - "3456:3456"

  capability:
    image: nrao:capability
    ports:
      - "3457:3457"
